/**
*  © FileCalx Limited 2022 - All Rights Reserved
*  Unauthorized copying, modification or distribution of this file via any medium is strictly prohibited.
*  Proprietary and confidential
*/

@import 'Blinking.css';
@import 'BlinkingBorder.css';

html {
  height: 100% !important;
  width: 100%;
  padding: 0;
  margin: 0;
}

body {
  padding: 0;
  margin: 0;
  height: 100% !important;
  /* overflow: visible !important; */
}

/*FileContent*/
#J {
  /* border: solid 1px darkgrey;  */
  /*border-top: solid 1px black;
  border-bottom: solid 1px black;*/
  /* background-color: darkgrey; */
  font-family: Arial;
  padding: 0 50px;
  /* Used to force a minimum width between left hand edge and pages */
  margin: 0;
  outline: none;
}

/*PageBox*/
.I {
  position: absolute;
}

/*PageCursor*/
.A {
  /* font-family: Arial; */
  font-style: normal;
  /*font-size: 110%;*/
  /* cursor: none; */
  padding: 40px;
  /*Padding used so when you undo and scroll cursor into view theres some space around it*/
  margin: 0;
  margin-bottom: 2px;
  /*Margin bottom used on cursor since cross isnt sitting on gridline (char not symmetrical?)*/
  position: absolute;
  /* border: solid coral 1px; */
}

/*PageItem*/
.B {
  cursor: default;
  position: absolute;
  vertical-align: middle;
  display: inline-block;
}

/*PageErrorBox*/
.C {
  border-radius: 5px;
  border: solid 2px red;
  padding: 0;
  margin: 0;
}

/*PageItemFocusedBox*/
.D {
  outline: solid 3px #494949;
  padding: 0;
  margin: 0;
}

/*PageFocusedBox*/
.AM {
  outline: solid 3px #f2a43a;
  padding: 0;
  margin: 0;
}

/*PageFence*/
.AG {
  border: solid 1px black;
  padding: 0;
  margin: 0;
  background-color: rgba(0, 0, 255, 0.3);
}

/*PageHighlight*/
.AH {
  /* border: solid 1px black; */
  padding: 0;
  margin: 0;
  background-color: rgba(88, 88, 88, 0.3);
}

/*PageSelectedBox*/
.E {
  outline: dashed 2px black;
  padding: 0;
  margin: 0;
}

/*Page*/
.F {
  cursor: default;
  position: relative;
}

.AS {
  position: relative;
}

/*Adds an invisble element to the right of a page so it scrolls earlier then normal*/
.AS::after {
  content: "";
  display: block;
  position: absolute;
  right: -50px;
  width: 50px;
  height: 1px;
}

/*TextContainer*/
.G {
  margin: 0;
  padding: 0;
  font-family: Arial;
  font-style: normal;
  font-size: 21pt;
  box-sizing: border-box;
  white-space: nowrap;
}

/*TokenTextContainer*/
.T {}

/*AlgebraicExpression*/
.H {
  /*font-family: Cambria, Georgia, Palatino Linotype, Bookman Old Style, serif;*/
  font-family: serif;
  /*font-size: 24pt;*/
  box-sizing: border-box;
  /*color: darkgreen;*/
  /*margin: 0;
	padding: 0;
	font-family: Arial;
	font-style: normal;
  font-size: 21pt;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	-o-user-select: none;
  box-sizing: border-box;*/
  width: 0;
  height: 0;
  white-space: nowrap;
}

/*ExpressionResult*/
.K {
  /*color: rgb(100, 100, 100);*/
}

/*TextElement*/
.M {
  white-space: pre;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  /* outline: red solid 1px;  */
}

/*TokenText*/
.U {
  /*border: dashed 2px brown;*/
  /* margin-left: 2px;
  margin-right: 2px;*/
  /*white-space: pre;*/

  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  /*border: 1px solid blue;*/
}

/*Unit*/
/*UnitContainer Children*/
.AB,
.DN>* {
  color: #0000ED;
  /* font-weight: 600; */
}

/*PlaceHolder*/
.N {
  letter-spacing: 0;
}

/*Subscript*/
.O {
  position: relative;
  top: 0.3em;
}

/*Superscript*/
.P {
  position: relative;
  /*vertical-align: 0.6em;
  display: inline-block;*/
  /*bottom: 0.6em;*/
  /* border: solid 2px pink; */
  /*position: relative;*/
  /*bottom: 0.6em;*/
}

/*ErrorTooltip*/
.W {
  font-size: 12pt;
  position: absolute;
  /* min-width: 400px; */
  text-align: left !important;
}

/*InlineFunction*/
.V {
  font-family: serif;
  height: 0;
  width: 0;
}

/*FunctionName*/
.AA {
  color: rgb(38, 133, 46);
}

/*RootElement*/
.AE {
  width: 0;
  height: 0;
  position: relative;
}


/*RootSymbol*/
.AC {
  /* display: inline-block; */
  /* border-top: 1px solid red; */
  /* border-bottom: 1px solid red; */
  font-family: sans-serif;
  /* border: 1px red solid; */
  /* font-size: 120%; */
  /* transform: translateY(20px); */
  /* -webkit-transform:scale(2,1); */
}

/*RootOperands*/
.AD {
  border-top: 1px solid black;
  /* box-sizing: border-box; */
}

/*RootNumber*/
.AF {
  /* font-size: 50%;  */
  position: absolute;
  /* border: 1px pink solid; */
  /* bottom: 10px; */
}

/*PageImage*/
.AR {
  /* border: 1px pink solid; */
}

/*Fraction or DerivativeRenderingElemen*/
.Z {
  display: inline-block;
  text-align: center;
  padding: 0 .2em;
}

/*Fraction or DerivativeRenderingElemen*/
.BC {
  display: inline-block;
  text-align: center;
  padding: 0 .2em;
}

/*Numerator (Within fraction)*/
.X q {
  display: block;
  text-align: center;
  padding: 0 0.1em;
}

/*Denominator (Within fraction)*/
.Y {
  border-top: 1px solid #000;
  display: block;
  width: 100%;
}

/*IntegralRenderingElement*/
.BD {
  display: inline-block;
  text-align: center;
  padding-left: .2em;
}

/*FunctionDelimiter*/
.BA {
  /* margin-left: 3px;
  margin-right: 3px; */
}

/*QueryResult*/
.BB {
  /* margin-left: 3px;
  margin-right: 3px; */
}

/*IntegralLimitContainer*/
.BE {
  position: absolute;
}

/*UnitElementContainer*/
.DO {
  padding-left: .1em;
}